> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/qos-policy-group/createqospolicygroup.md).

# CreateQosPolicyGroup

## 1. API Description

This API (CreateQosPolicyGroup) is used to create a QoS policy group to apply shared bandwidth rate limiting to EIPs, IPv6 addresses, or UNMANAGED egress IPs within the same group.

{% hint style="info" %}
**Bandwidth Limit**

* The minimum bandwidth limit is 10,000 Mbps (10G) by default.
* If you need a bandwidth limit lower than 10G, please contact [Zenlayer Support](https://www.zenlayer.com/support/).
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                                         | Description                                                                                            |
| --------------- | -------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| regionId        | Yes      | String                                                                       | Region ID where the QoS policy group is located.                                                       |
| name            | Yes      | String                                                                       | <p>QoS policy group name.</p><p>Cannot exceed 64 characters.</p>                                       |
| bandwidthLimit  | Yes      | Integer                                                                      | <p>Bandwidth limit, in Mbps.</p><p>Maximum is 100,000,000 Mbps.</p><p>Value range: \[-, 100000000]</p> |
| rateLimitMode   | No       | [RateLimitMode](/api-reference/compute/zec/datastructure.md#ratelimitmode)   | <p>Rate limit mode.</p><p>Default value: LOOSE</p>                                                     |
| resourceGroupId | No       | String                                                                       | <p>Resource group ID.</p><p>If not specified, joins the default resource group.</p>                    |
| tags            | No       | [TagAssociation](/api-reference/compute/zec/datastructure.md#tagassociation) | Tag list.                                                                                              |

## 3. Output Parameters

| Parameter Name   | Type   | Description                                                                                                           |
| ---------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId        | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| qosPolicyGroupId | String | ID of the newly created QoS policy group.                                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Create a QoS policy group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateQosPolicyGroup
<Common Request Params>

Request：
{
  "regionId": "SEA-A",
  "name": "my-qos-group",
  "bandwidthLimit": 1000,
  "rateLimitMode": "LOOSE"
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "qosPolicyGroupId": "qos-xxxxxxxx"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                      |
| ---------------- | ----------------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_REGION\_NOT\_FOUND               | Specified availability zone does not exist.      |
| 400              | INVALID\_BANDWIDTH\_LIMIT\_OUT\_OF\_RANGE | The bandwidth limit is out of the allowed range. |
